Can't copy files from a bluetooth device: Another operation in progress

Bug #1284308 reported by Teo on 2014-02-24
388
This bug affects 86 people
Affects Status Importance Assigned to Milestone
gvfs (Ubuntu)
Medium
Unassigned

Bug Description

Upstream URL:
https://gitlab.gnome.org/GNOME/gvfs/issues/242

1) lsb_release -rd
Description: Ubuntu 14.04.1 LTS
Release: 14.04

2) apt-cache policy gvfs
gvfs:
  Installed: 1.20.1-1ubuntu1
  Candidate: 1.20.1-1ubuntu1
  Version table:
 *** 1.20.1-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen is when one pairs their bluetooth phone, browses it, and attempt to copy a file from the phone to Ubuntu, it does so successfully.

4) What happens instead is a window pops up noting:
Error while copying “example.txt”.
There was an error copying the file into /home/test/
Show more details
Another operation in progress

Originally reproduced in 13.10.

/usr/lib/gvfs/gvfsd-obexftp 'host=[XX:XX:XX:XX:XX:XX]'
** Message: transfer of example.txt to /tmp/gvfsobexftp-tmp-NTNMQX started
** Message: filename: /Internal storage/Download/example.txt (example.txt) copying to /tmp/gvfsobexftp-tmp-NTNMQX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: ChangeCurrentFolderToRoot failed

WORKAROUND: Connect phone via USB cord to transfer files from the phone to Ubuntu.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: bluetooth (not installed)
ProcVersionSignature: Ubuntu 3.11.0-17.31-generic 3.11.10.3
Uname: Linux 3.11.0-17-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
Date: Mon Feb 24 21:24:05 2014
InstallationDate: Installed on 2013-10-11 (136 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
InterestingModules: bnep rfcomm btusb bluetooth
MachineType: Acer Aspire V3-571G
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-17-generic root=UUID=5830b30e-69e8-4bb4-8a2b-bc2b43c7414a ro quiet splash vt.handoff=7
SourcePackage: bluez
UpgradeStatus: Upgraded to saucy on 2014-02-23 (1 days ago)
dmi.bios.date: 10/15/2012
dmi.bios.vendor: Acer
dmi.bios.version: V2.07
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: VA50_HC_CR
dmi.board.vendor: Acer
dmi.board.version: Type2 - Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V2.07
dmi.modalias: dmi:bvnAcer:bvrV2.07:bd10/15/2012:svnAcer:pnAspireV3-571G:pvrV2.07:rvnAcer:rnVA50_HC_CR:rvrType2-BoardVersion:cvnAcer:ct10:cvrV2.07:
dmi.product.name: Aspire V3-571G
dmi.product.version: V2.07
dmi.sys.vendor: Acer
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: A4:17:31:0D:4A:70 ACL MTU: 1022:8 SCO MTU: 183:5
  UP RUNNING PSCAN ISCAN
  RX bytes:44318 acl:198 sco:0 events:355 errors:0
  TX bytes:6132 acl:178 sco:0 commands:82 errors:0

Teo (teo1978) wrote :
Teo (teo1978) wrote :
description: updated
Teo (teo1978) wrote :

If you wonder why I go through the trouble of browsing files on the phone from the computer and fetching them, instead of sending them from the phone to the computer,
that's because if I send them, they get systematically rejected, a regression that appeared back in 13.04 or 12.10 (it used to work before). Browsing files from the computer and copying them used to work, until I upgraded to 13.10

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
no!chance (ralf-fehlau) wrote :

Same situation here in 14.04 LTS (long trouble .... whatever). This was a fresh installation.

Danilo Silva (danilocsilva) wrote :

I'm on Trusty x64 and also happens to me.

Magosányi Árpád (mag-magwas) wrote :

Trusty x86_64, affected

Daniel (skorka-b) wrote :

Having this issue when connecting to a Nokia 6500. Additional observations: I can, for example, open the pictures on my phone using eog just fine. Also, when I use the shell to copy them from under /run/user/[uid]/gvfs/... this also works fine.

Andres G. Aragoneses (knocte) wrote :

Also affected by this (Trusty 14.04 64bits final).

Warren (wseverin) wrote :

I am also affected. Ubuntu 14.04 AMD64 upgraded from 12.04. Bluetooth is Atheros AR5B22 card. I get the error messages as described by OP, also occassionally "The name :1.139 was not provided by any .service files" and "The name :1.176 was not provided by any .service files." The error messages seem to be chosen by a random number generator.

Toxa (verolom) wrote :

Trusty/Utopic x86 affected.

Code Freak (c0d3f1234k) wrote :

Confirming for Trusty 14.04 x64.

Some things that I noticed:

1) You can view an image with Image Viewer.
2) You cannnot view an image with GIMP.
3) You get an error when trying to "Save As" with Image Viewer.
4) You can, however, use "Print" to export the image as pdf.

episto (episto) wrote :

Worksaround: install Pinta, open the image on phone then Save as. Not ideal (image is recoded) but works everytime.
Ubuntu 14.04 on X86-64, with every update.

Tom Teodosijev (s0-adm) wrote :

Confirming for Trusty 14.04 x64.

but exist one solution:

1) Connect your phone with ubuntu via bluetooth.
2) Go to directory on phone. For example: photos, if you want copy some of your importatnt photos.
3) Select only one file! And choose send by email (right mouse contect menu send). Do not select zip option!
4) After some time your default email program will prepare message with selected photo.
5) Send it and check your email!

It works only for one file per email!

Tom Teodosijev (s0-adm) wrote :

It also works much quicker when you send file by file to shared folder and disks. For example flash card.

Alistair Buxton (a-j-buxton) wrote :

There is a much easier workaround. Just copy the files with terminal, or another file manager that isn't Nautilus. As such, I don't believe this is a fault with bluez or even gvfs, but with Nautilus or some other Gnome component.

The really easy way to do it with Terminal:

cd to the destination directory
Type "cp" then a space
Drag and drop all the files you want to copy from Nautilus to the terminal
Type a space then "." then press enter.

Alistair Buxton (a-j-buxton) wrote :

Today my workaround didn't work. This suggests the problem is in gvfsd or obex-data-server.

Changed in gvfs (Ubuntu):
status: New → Confirmed
Changed in obex-data-server (Ubuntu):
status: New → Confirmed
Alistair Buxton (a-j-buxton) wrote :

Subsribed additional packages to try to get some eyes on this.

ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
DistroRelease: Ubuntu 14.04
InstallationDate: Installed on 2013-12-22 (228 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
InterestingModules: btusb rfcomm bnep bluetooth
MachineType: ASUS All Series
Package: obex-data-server
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-32-generic.efi.signed root=UUID=e1e7d1a7-19e8-4203-ad6a-86a144db61bc ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-32.57-generic 3.13.11.4
Tags: trusty
Uname: Linux 3.13.0-32-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-06-20 (49 days ago)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 04/10/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0401
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H87M-E
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0401:bd04/10/2013:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnH87M-E:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: All Series
dmi.product.version: System Version
dmi.sys.vendor: ASUS
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: 00:0A:3A:56:79:E3 ACL MTU: 192:8 SCO MTU: 64:8
  UP RUNNING PSCAN ISCAN
  RX bytes:7596474 acl:34665 sco:0 events:3541 errors:0
  TX bytes:195498 acl:3728 sco:0 commands:44 errors:0
rfkill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
syslog:
 Aug 8 17:10:10 stuart-desktop bluetoothd[667]: Adapter /org/bluez/667/hci0 has been disabled
 Aug 8 17:27:48 stuart-desktop bluetoothd[667]: Adapter /org/bluez/667/hci0 has been enabled

tags: added: apport-collected trusty

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Download full text (4.3 KiB)

That didn't really attach anything useful, oh well. Here's the log snippet from ~/.cache/upstart/dbus/ showing the error happening:

** (zeitgeist-fts:2146): WARNING **: Unable to get info on application://nautilus-autostart.desktop
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-S9DAKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-S9DAKX (retval 2)
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-NM4FKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-NM4FKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-9X2MKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-9X2MKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-XTK5JX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-XTK5JX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-3LWGKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-3LWGKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-GYMKKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-GYMKKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-W77BKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-W77BKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: ChangeCurrentFolderToRoot failed

** (zeitgeist-fts:2146): WARNING **: Unable to get info on application://nautilus-autostart.desktop
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-RFE9JX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-RFE9JX (retval 2)
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-284GKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-284GKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-UP0AKX started
** Message: filename: /Memory card/Images/Image010.jpg (Image010.jpg) copying to /tmp/gvfsobexftp-tmp-UP0AKX (retval 2)
** Message: ChangeCurrentFolderToRoot failed
** Message: transfer got cancelled

** (zeitgeist-fts:2146): WARNING **: Unable to get info on application://nautilus-autostart.desktop
** Message: transfer of Image010.jpg to /tmp/gvfsobexftp-tmp-F3C5JX started
** Message: filename: /Memory card/Images/Im...

Read more...

Ulisse Monari (ulisse-monari) wrote :

Ubuntu 14.04.1 LTS (lubuntu) affected

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-vfs-obexftp (Ubuntu):
status: New → Confirmed

Ubuntu 14.04.1 LTS
Very same problem with my Nokia 206 phone.
The workaround that ...
Daniel (skorka-b) wrote on 2014-05-16
... worked for me too.

Changed in bluez (Ubuntu):
importance: Undecided → Medium
Changed in gnome-vfs-obexftp (Ubuntu):
importance: Undecided → Medium
Changed in gvfs (Ubuntu):
importance: Undecided → Medium
Changed in obex-data-server (Ubuntu):
importance: Undecided → Medium
Teo (teo1978) wrote :

As usual, importance (after months undecided) gets wrongly assigned

https://wiki.ubuntu.com/Bugs/Bug%20importances
If those criteria are not up to date, please update that page. Otherwise try to respect them.

This issue meets two of the criteria of "High":
- Has a severe impact on a small portion of Ubuntu users (estimated) [not being able to copy file among common devices is definitely severe impact]
- Renders essential features or functionality of the application or dependencies broken or ineffective [copying files is an essential feature]

Hans Deragon (deragon) wrote :

Marketing wise, as the Ubuntu Touch phones are about to go to market, it would be embarrassing that OSs such as Windows and Mac can transfer files via Bluetooth with the new phones, but not Ubuntu itself.

denis (electra79) wrote :

I have upgraded to Ubuntu 13.10.

And as usual, with the upgrade, a whole new bluetooth issue, which this times makes transferring files from the phone to the computer (which already was painful) completely impossible!

How I reproduce (100% systematic):
1 - click on the Bluetooth icon in the notification area
2 - from the dropdown menu, choose "bluetooth settings"
3 - select the phone among the listed devices
4 - click on "Browse files"
5 - A Nautilus windows opens, allowing me to browse files on the phone. Open the DCIM/Camera folder
6 - Select a couple of files. Either drag and drop them, or copy and then paste them, into a folder on the computer

=> I systematically get an error, but it can be any of the two variants shown in the two screenshots (one says there was an error copying the file, the other says there was an error getting information about the file; in both cases the given reason is "another operation in progress". Note also that in one case there is a Retry button, in the other there is not - pure nonsense).

I then "ejected" the phone with the eject button next to its name in Nautilus, and repeated the whole process.

I randomly get any of three outcomes:
- the one described above (MOST of the times)
- at step 4, I get an error "This location could not be displayed. Another operation in progress", so I cannot even browse files
or
- at some point (not sure whether it was at step 4 above or when "ejecting" the phone) something CRASHES (I get the usual Ubuntu message informing me of that).

This also affects Ubuntu 14.04 & Ubuntu 14.10 beta as of 11 October 2014. Lubuntu 14.10 beta is also affected, so this seems common to bluez as well as blueman.

Michiel Renger (dingenis) wrote :

Confirmed on Ubuntu Gnome 14.04

no longer affects: bluez (Ubuntu)
no longer affects: gnome-vfs-obexftp (Ubuntu)
no longer affects: obex-data-server (Ubuntu)
description: updated
description: updated
Changed in gvfs (Ubuntu):
status: Confirmed → Triaged
summary: - Bogus "another operation in progress" error. Can't copy files from a
- bluetooth device
+ Can't copy files from a bluetooth device: Another operation in progress
Changed in gvfs:
importance: Unknown → High
status: Unknown → New
Dylan Coakley (dylan-coakley) wrote :

Bug still here in 14.04. This is just ridiculous. I can't transfer with a cable because MTP doesn't work and now bluetooth transfer doesn't work either.

When is a fix being released??

Dylan Coakley, regarding you not being able to transfer via MTP, this bug is not scoped to that problem. If you would like that problem addressed, please file a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Regarding a fix time line, as one will notice at the top of this report page, this is a reported upstream issue. Hence, it will be fixed when developer resources are available for it.

GTriderXC (gtriderxc) wrote :

@Dylan I can only agree that it's all ridiculous!

What's more Bluetooth >!>!>used to work in Ubuntu<!<!< without problems! IT IS NOT A BUG! It is negligence and ignorance! That's the real name of a problem! It used to work but now Ubuntu became "better"!!! I wouldn't complain so much if I didn't put so much work and precious time in development. What I get now is a slow system without a bluetooth but with an Amazon plugin and Unity that hides from me programs I have installed in my system.

Confirm that neither remote browsing a phone or sending a file from android does not work with 14.10.

My BT Setup:

sudo hciconfig
hci0: Type: BR/EDR Bus: USB
 BD Address: C4:85:08:42:13:AE ACL MTU: 310:10 SCO MTU: 64:8
 UP RUNNING PSCAN ISCAN
 RX bytes:1720598 acl:5139 sco:0 events:3324 errors:0
 TX bytes:370178 acl:3402 sco:0 commands:76 errors:0

$ lsmod|grep bt
btusb 32412 0
bluetooth 391136 24 bnep,btusb,rfcomm

Hans Deragon (deragon) wrote :

Upstream, a developer pointed to the following blog explaining the current situation with Bluetooth and Gnome.

http://www.hadess.net/2011/11/obexftp-in-gnome-non-update.html

tags: added: vivid
tags: added: utopic
removed: vivid
Changed in gvfs:
status: New → Expired
Nick (nick-power) wrote :

Using Xubuntu 15.04:

hci0: Type: BR/EDR Bus: USB
 BD Address: E4:D5:3D:CB:D3:1D ACL MTU: 1021:8 SCO MTU: 64:1
 UP RUNNING PSCAN
 RX bytes:273872 acl:1239 sco:0 events:586 errors:0
 TX bytes:39316 acl:1037 sco:0 commands:41 errors:0

btusb 32768 0
bluetooth 491520 22 bnep,btusb,rfcomm

Bus 001 Device 006: ID 0a5c:217f Broadcom Corp. BCM2045B (BDC-2.1)

Nick (nick-power) on 2015-05-21
tags: added: vivid
wodny (z-launchpad-wodny-org) wrote :

I would like to propose a patch (attached). It's probably too primitive and requires a rewrite to become event-driven instead of a polling mechanism. But for me it works and I've found another polling part in the code that was already there so maybe the quality loss isn't that big after all ;)
I kindly ask for a review/opinions and feedback.

The attachment "A very primitive patch/workaround" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch

wodny, it's best to submit any patches to upstream directly so they may review for incorporation into GNOME. Ubuntu typically won't pull in out-of-tree patches unless it's an emergency.

Changed in gvfs:
status: Expired → Invalid
wodny (z-launchpad-wodny-org) wrote :

penalvch, I didn't submit it to the upstream because it seems the workaround is relevant only for versions ≤1.22[1]. I've attached that patch to keep anyone whom it may concern informed. If someone is using that old version, he/she can recompile the daemon oneself.

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760847

tags: added: wily
johannes (fghgfh832) wrote :

Confirmed on Linux Mint Debian with gvfs 1.22.2. Also, browsing with Thunar is quite sluggish.

Workaround for some Nokia (Symbian) phones:

obexfs -b <address> <path>

where <address> is the Bluetooth address of the device and <path> is the directory where you want to mount the device.

No root privileges required. Make sure you own the path, otherwise you can only access it as root.

HaraldK (pifpafpuf) wrote :

Can confirm the workaround of johannes (#50) on Linux Mint

DISTRIB_DESCRIPTION="Linux Mint 17.2 Rafaela"

I had a file browser open listing the device under its name after using a "browse files on device" button in one of the bluetooth applets. I had to "eject" this device in the file browser. Then

obexfs -b 03:12:0F:38:89:9C ~/tmp/bluetooth-mount-point

after creating the empty directory and then I could access the folders on my phone (age old Samsung Gio, Android 2.2).

(Reminder and unrelated to this issue: no files could be seen, in the folders. Each file has to be made accessible to bluetooth on the Android side in the file browser.)

Frigó Erzsébet (frigob) wrote :

Copying through a terminal (instead of Nautilus, described in #16) worked fine. Version: 14.04, old ThinkPad and Nokia 3600 slide.

no longer affects: gvfs
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.